読者です 読者をやめる 読者になる 読者になる

Firefox3.5でSelenium実行時のエラー

Firefox3.5にバージョンアップしてSelenium RCを実行したところ、Firefoxの起動時に、3.0にしたときと同じ以下のエラーが発生しました。

Selenium Firefox refused shutdown while preparing a profile
...

いままで、1.0-beta2を使っていたので、1.0.1にバージョンアップしたところ正常に起動できるようになりました。

ところで、Selenium 1.0からMavenでのgroupIdが"org.seleniumhq.selenium.*"に変更になったようですね。バージョンだけ変更したら、depenencyがダウンロードできないというエラーが発生してしばらくハマりました。1.0-beta2に変更したときには気づかずにローカルにインストールしてしまったのですが。

ついでに、Firefox3.5対応のSeleniumIDE 1.0.2もSeleniumHQのサイトからダウンロードしてインストールしました。